This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 510662 - NetworkManager mis-detects RF kill switch (doesn't allow wireless connections with Intel 5100)
NetworkManager mis-detects RF kill switch (doesn't allow wireless connections...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 01:38 EDT by C Sand
Modified: 2009-10-16 17:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 540038 (view as bug list)
Environment:
Last Closed: 2009-10-16 16:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg, lspci and ifconfig (43.60 KB, text/plain)
2009-07-10 01:39 EDT, C Sand
no flags Details
messages from NetworkManager in /var/log/messages (6.19 KB, text/plain)
2009-07-10 02:24 EDT, C Sand
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 430809 None None None Never

  None (edit)
Description C Sand 2009-07-10 01:38:39 EDT
Description of problem:
NetworkManager doesn't allow wireless connections even though the hardware is detected by the Linux kernel. The hardware in question is "Intel Corporation Wireless WiFi Link 5100", inside a "Dell Vostro 1320" laptop. Wireless is enabled via a switch (i.e. no RF kill).


Version-Release number of selected component (if applicable):
0.7.1-1.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. Enable wireless via switch (i.e. no RF kill)
2. Boot Fedora 10
3. Login to Gnome desktop
4. Click (left mouse) on the NetworkManager icon in the top panel
  
Actual results:
Says that "wireless is disabled"

Expected results:
Allow wireless connections

Additional info:
Fresh Fedora 10 install (default options), with updates as of 10 July 2009.
Linux kernel 2.6.27.25-170.2.72.fc10.i686 #1 SMP 

See also the attached output of dmesg, lspci and ifconfig.

Interesting section in dmesg, even though the RF kill switch is off (ie. wireless enabled):
 iwlagn: Radio Frequency Kill Switch is On:
 Kill switch must be turned off for wireless networking to work.
Comment 1 C Sand 2009-07-10 01:39:56 EDT
Created attachment 351215 [details]
output of dmesg, lspci and ifconfig
Comment 2 C Sand 2009-07-10 02:21:04 EDT
/var/log/messages also shows up a few interesting tidbits:

Found radio killswitch /org/freedesktop/Hal/devices/pci_8086_4232_rfkill_5100AGN_wlan
(wlan0): driver supports SSID scans (scan_capa 0x01).
(wlan0): new 802.11 WiFi device (driver: 'iwlagn')
(wlan0): exported as /org/freedesktop/Hal/devices/net_00_22_fb_54_7c_fe
<WARN>  killswitch_getpower_reply(): Error getting killswitch power: Method "GetPower" with signature "" on interface "org.freedesktop.Hal.Device.KillSwitch" doesn't exist#012.
<info>  Wireless now disabled by radio killswitch
Comment 3 C Sand 2009-07-10 02:24:46 EDT
Created attachment 351219 [details]
messages from NetworkManager in /var/log/messages

created using: grep -i NetworkManager /var/log/messages
Comment 4 Felix Geyer 2009-09-16 04:27:50 EDT
What's the output of "rfkill list" on your machine?


Bug report on the kernel butracker:
http://bugzilla.kernel.org/show_bug.cgi?id=14098
Comment 5 C Sand 2009-09-16 04:44:11 EDT
The machine is my mum's laptop, on which I have since installed an old-ish Ubuntu (8.04). I have only intermittent access to the laptop.

If "rfkill list" from Ubuntu 8.04 would help solve the problem, I'll report the output. Otherwise the laptop isn't likely to have another OS (e.g. Fedora) installed on it in the near future.

I'd venture the problem with the wireless connection lies in the bug shown in Comment #2
Comment 6 Dan Williams 2009-10-16 16:54:38 EDT
Ok, I'd need the laptop with fedora to debug further, but I believe this issue is either fixed upstream or in F11, or is a HAL problem deeper down with rfkill.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.